<?php
include 'load.php';
?>

<!DOCTYPE html>
<html lang="en">

<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
	<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard">
	<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard">
	<meta name="author" content="Payroll | Pos & Invetory System | Dashboard">
	<meta name="robots" content="noindex, nofollow">

	<title>Suppler Wise Product Report | Payroll | Pos & Invetory System | Dashboard</title>

	<?php
	require_once 'headercss.php';
	?>

</head>

<body>

	<div class="main-wrapper">
		<?php
		require_once 'header.php';
		?>

		<?php
		require_once 'navbar.php';
		?>

		<div class="page-wrapper">
			<div class="content">
				<div class="page-header">
					<div class="page-title">
						<h4>Suppler Wise Product Report</h4>
						<h6>Manage your Products</h6>
					</div>
				</div>

				<div class="card">
					<div class="card-body">
						<div class="table-top">
							<div class="search-set">
								<div class="search-path">
									<a class="btn btn-filter" id="filter_search">
										<img src="assets/img/icons/filter.svg" alt="img">
										<span><img src="assets/img/icons/closes.svg" alt="img"></span>
									</a>
								</div>
								<div class="search-input">
									<a class="btn btn-searchset"><img src="assets/img/icons/search-white.svg"
											alt="img"></a>
								</div>
							</div>
							<div class="wordset">
								<ul>
									<li>
										<?php 
											if(!empty($_GET['supplier'])){
												$supplier = $_GET['supplier'];
												
											}else{
												$supplier ="";
											}   
											if(!empty($_GET['start_date']) && !empty($_GET['end_date'])){
												$startdate = $_GET['start_date'];
												$enddate = $_GET['end_date'];
												
											}else{
												$startdate = "";
												$enddate = "";
											}
										
										?>
										<a data-bs-toggle="tooltip" href="export_suppler_wise_product_report.php?supplier=<?php echo $supplier; ?>&startdate=<?php echo $startdate; ?>&enddate=<?php echo $enddate; ?>"
											data-bs-placement="top" title="excel"><img src="assets/img/icons/excel.svg"
												alt="img"></a>
									</li>
									<li>
										<a data-bs-toggle="tooltip" data-bs-placement="top" title="print"
											onclick="printDiv('printableArea')"><img src="assets/img/icons/printer.svg"
												alt="img"></a>
									</li>
								</ul>
							</div>
						</div>
                        <form action="#" method="GET" class="mb-4">
	<div class="row">
		<div class="col-md-3">
		<div class="form-group">
			<label for="start-date">Supplier</label>
			<select class="form-control select2" name="supplier"> 
				<option value="">Select Supplier</option>
				<?php 
				
					$sql = "SELECT * FROM mobilesuppliers";
					$result = $conn->query($sql);

					if ($result->num_rows > 0) {
						while($row = $result->fetch_assoc()) { ?>
						<option value="<?php echo $row['spid']; ?>"><?php echo $row['spname']; ?></option>
					<?php }
					}
				?>
			</select>
		</div>
		</div>
		<div class="col-lg-3 col-sm-6 col-12">
													<div class="form-group">
														<label for="start-date">Start Date:</label>
														<input type="date" id="start-date" name="start_date"
															class="form-control">
													</div>
												</div>
												<div class="col-lg-3 col-sm-6 col-12">
													<div class="form-group">
														<label for="end-date">End Date:</label>
														<input type="date" id="end-date" name="end_date"
															class="form-control">
													</div>
												</div>
		<div class="col-md-1">
		<button class="btn btn-secondary" type="submit" name="search" style="margin-top:30px;">Search</button>
		</div>
	</div>
</form>
						<div class="table-responsive">
							<table class="table" id="betable">
								<thead>
									<tr>
										<th>#ID</th>
										<th>Product Code</th>
										<th>Item Code/Barcode</th>
										<th>Item Name</th>
										<th>Category</th>
										<th>Sub Category</th>
										<th>Stock</th>
										<th>Supplier</th>
										<th>Date</th>
									</tr>
								</thead>
								<tbody>
								<?php 
								if(isset($_GET['search'])){
									
									if(!empty($_GET['supplier'])){
										$supplier = $_GET['supplier'];
										$supchage = "AND mobileproducts.supplier='$supplier'";
									}else{
										$supchage ="";
									}   
									if(!empty($_GET['start_date']) && !empty($_GET['end_date'])){
										$startdate = $_GET['start_date'];
										$enddate = $_GET['end_date'];
										$datechage = "AND mobileproducts.add_date BETWEEN '$startdate' AND '$enddate'";
									}else{
										$datechage = "";
									}
								
								$sql = "SELECT * FROM mobileproducts WHERE prid!='0' $supchage $datechage order by prcode ASC";
                                      
										$result = $conn->query($sql); 
                                        if ($result->num_rows > 0) {
                                            $c = 1;
                                            while($row = $result->fetch_assoc()) { 
												$productid = $row['prid']; ?>
                                                <tr>
                                                <td><?php echo $c; ?></td>
                                                <td><?php echo $row['prcode']; ?></td>
												<td><?php echo $row['itemcode']; ?></td>
												<td class="productimgname">
<a class="product-img" href="productlist.php">
<?php if($row['cover']==""){$pro_img="assets/img/empty.png";}else{$pro_img="images/products/cover/".$row['cover'];} ?><img src="<?php echo $pro_img; ?>" width="42" height="42" class="rounded-circle" alt="">										  
</a>
<span style="font-weight:600;color:#000000;"><?php echo $row['proname']; ?></span>	
</td>
                                                <td><?php
if($row['category'] == "0"){
													
												}else{	
												$id1 = $row['category'];  

												$query1 = $DB_con->prepare('SELECT catename FROM mobilecategory WHERE ctid='.$id1);

												$query1->execute();

												$result1 = $query1->fetch();

												echo $result1['catename'];
}
												?></td>
                                                <td><?php
if($row['subcategory'] == "0"){
													
												}else{	
												$id3 = $row['subcategory'];  

												$query3 = $DB_con->prepare('SELECT subname FROM mobilesubcategory WHERE sbid='.$id3);

												$query3->execute();

												$result3 = $query3->fetch();

												echo $result3['subname'];
}
												?></td>
												<td><?php $sql2 = "SELECT * FROM tbl_stock WHERE prid='$productid'";  
												$result2 = mysqli_query($conn,$sql2);
												$row2 = mysqli_fetch_array($result2);
												echo $row2['qty'];
												?></td>
                                                <td><?php
if($row['supplier'] == "0"){
													
												}else{	
												$id2 = $row['supplier'];  

												$query2 = $DB_con->prepare('SELECT spname,vtype FROM mobilesuppliers WHERE spid='.$id2);

												$query2->execute();

												$result2 = $query2->fetch();

												echo $result2['spname']."".$result2['vtype'];
}
												?></td>
                                                <td><?php echo $row['add_date']; ?></td>
                                                </tr>
                                         <?php  
                                        $c++; 
                                        }
                                        }
									} 
                                        ?>
								</tbody>
							</table>
							<div id="printableArea" style="display:none;">
								<table class="table">
									<thead>
										<tr>
										<th>#ID</th>
										<th>Product Code</th>
										<th>Item Code/Barcode</th>
										<th>Item Name</th>
										<th>Category</th>
										<th>Sub Category</th>
										<th>Stock</th>
										<th>Supplier</th>
										</tr>
									</thead>
									<tbody>
									<?php 
								if(isset($_POST['search'])){
									
									if(!empty($_POST['supplier'])){
										$supplier = $_POST['supplier'];
										$supchage = "AND mobileproducts.supplier='$supplier'";
									}else{
										$supchage ="";
									}   
									if(!empty($_POST['start_date']) && !empty($_POST['end_date'])){
										$startdate = $_POST['start_date'];
										$enddate = $_POST['end_date'];
										$datechage = "AND mobileproducts.add_date BETWEEN '$startdate' AND '$enddate'";
									}else{
										$datechage = "";
									}
								
								$sql = "SELECT * FROM mobileproducts WHERE prid!='0' $supchage $datechage order by prcode ASC";
                                      
										$result = $conn->query($sql); 
                                        if ($result->num_rows > 0) {
                                            $c = 1;
                                            while($row = $result->fetch_assoc()) { 
												$productid = $row['prid']; ?>
                                                <tr>
                                                <td><?php echo $c; ?></td>
                                                <td><?php echo $row['prcode']; ?></td>
												<td><?php echo $row['itemcode']; ?></td>
												<td class="productimgname">
<a class="product-img" href="productlist.php">
<?php if($row['cover']==""){$pro_img="assets/img/empty.png";}else{$pro_img="images/products/cover/".$row['cover'];} ?><img src="<?php echo $pro_img; ?>" width="42" height="42" class="rounded-circle" alt="">										  
</a>
<span style="font-weight:600;color:#000000;"><?php echo $row['proname']; ?></span>	
</td>
                                                <td><?php
if($row['category'] == "0"){
													
												}else{	
												$id1 = $row['category'];  

												$query1 = $DB_con->prepare('SELECT catename FROM mobilecategory WHERE ctid='.$id1);

												$query1->execute();

												$result1 = $query1->fetch();

												echo $result1['catename'];
}
												?></td>
                                                <td><?php
if($row['subcategory'] == "0"){
													
												}else{	
												$id3 = $row['subcategory'];  

												$query3 = $DB_con->prepare('SELECT subname FROM mobilesubcategory WHERE sbid='.$id3);

												$query3->execute();

												$result3 = $query3->fetch();

												echo $result3['subname'];
}
												?></td>
												<td><?php $sql2 = "SELECT * FROM tbl_stock WHERE prid='$productid'";  
												$result2 = mysqli_query($conn,$sql2);
												$row2 = mysqli_fetch_array($result2);
												echo $row2['qty'];
												?></td>
                                                <td><?php
if($row['supplier'] == "0"){
													
												}else{	
												$id2 = $row['supplier'];  

												$query2 = $DB_con->prepare('SELECT spname,vtype FROM mobilesuppliers WHERE spid='.$id2);

												$query2->execute();

												$result2 = $query2->fetch();

												echo $result2['spname']."".$result2['vtype'];
}
												?></td>
                                                <td><?php echo $row['add_date']; ?></td>
                                                </tr>
                                         <?php  
                                        $c++; 
                                        }
                                        }
									} 
                                        ?>

									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<script>
		function printDiv(printableArea) {

			var printContents = document.getElementById(printableArea).innerHTML;
			var originalContents = document.body.innerHTML;

			document.body.innerHTML = printContents;

			window.print();

			document.body.innerHTML = originalContents;

		}
	</script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-rc.0/js/select2.min.js"></script>

	<script>
	// Initialize Select2 plugin with typing search functionality
	$('.select2').select2();
	</script>
	
	<script data-cfasync="false" src="../../cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script>
							
	<script src="assets/js/jquery-3.6.0.min.js"></script>

	<script src="assets/js/feather.min.js"></script>

	<script src="assets/js/jquery.slimscroll.min.js"></script>

	<script src="assets/js/jquery.dataTables.min.js"></script>
	<script src="assets/js/buttons.dataTables.js"></script>
	<script src="assets/js/dataTables.bootstrap4.min.js"></script>

	<script src="assets/js/bootstrap.bundle.min.js"></script>

	<script src="assets/js/moment.min.js"></script>
	<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
	<script src="assets/js/pdfmake.min.js"></script>
	<script src="assets/plugins/select2/js/select2.min.js"></script>
	<script src="assets/js/vfs_fonts.js"></script>

	<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
	<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script src="assets/js/dataTables.buttons.min.js"></script>
	<script src="assets/js/jszip.min.js"></script>
	<script src="assets/js/buttons.html5.min.js"></script>
	<script src="assets/js/script.js"></script>
	
	<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

	<script>
		

		$(document).ready( function() {
			$('#betable').DataTable({
        dom: 'Bfrtip', 
        buttons: [
            'copy', 
            'csv',  
            {
                extend: 'excelHtml5', 
                customize: function(xlsx) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml']; 
                    $('row c[r^="C"]', sheet).attr('s', '2'); 
                }
            },
            'pdf',  
            'print' 
        ]
    });
	} );
	</script>
	
	<style>
	#betable_filter{
		margin-bottom: 20px;
	}
	</style>
	
</body>

</html>